Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Default_ProxyPushConsumer Class Reference

implements RtecEventChannelAdmin::ProxyPushConsumer interface. More...

`#include <EC_Default_ProxyConsumer.h>`

Inheritance diagram for TAO_EC_Default_ProxyPushConsumer:

[legend]
Collaboration diagram for TAO_EC_Default_ProxyPushConsumer:

[legend]
List of all members.

## Public Methods
| TAO_EC_Default_ProxyPushConsumer (TAO_EC_Event_Channel_Base *event_channel)
| Constructor...
virtual | ~TAO_EC_Default_ProxyPushConsumer (void)
| Destructor...

## Detailed Description

implements RtecEventChannelAdmin::ProxyPushConsumer interface.

## Constructor & Destructor Documentation

TAO_EC_Default_ProxyPushConsumer::TAO_EC_Default_ProxyPushConsumer | ( | TAO_EC_Event_Channel_Base * | event_channel | ) |

| Constructor...

TAO_EC_Default_ProxyPushConsumer::~TAO_EC_Default_ProxyPushConsumer | ( | void |  | ) | `[virtual]`

| Destructor...

The documentation for this class was generated from the following files:

- EC_Default_ProxyConsumer.h
- EC_Default_ProxyConsumer.cpp